#include<iostream>
#include<string>
using namespace std;

int main(){
	
	
	
	char c1,c2;
	string ulaz,resenje="";
	
	
	long int a1,a2;
	
	
	
	
	cin>>ulaz;
	cin>>a1>>a2;
	
	
	
	c1=ulaz[0];
	c2=ulaz[1];
	
	
	
	if(a1>=a2){
		
		if(a1-a2==1 || a1-a2==0){
			
			
			for(int i=0;i<a1+a2;i++){
				
				
				resenje+=c1;
				i++;
				if(i==a1+a2){
					break;
				}
				resenje+=c2;
				
				
				
			}
			
			
		}else{
			cout<<"nemoguce";
		}
		
		
	}else{
		
		
		if(a2-a1==1 || a2-a1==0){
			
			for(int i=0;i<a1+a2;i++){
				
				resenje+=c2;
				i++;
				if(i==a1+a2){
					break;
				}
				resenje+=c1;
				
			}
			
		}
		else{
			cout<<"nemoguce";
		}
	}
	
	
	
	
	cout<<resenje;
	
	return 0;
	
}